Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.metadata
Interface IEssMemberSelection

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssMemberSelection
extends IEssExtendedObject, IEssProperties

The IEssMemberSelection interface.

Nested Class Summary

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `QUERY_OPTION_ALIASESONLY`
`static int` | `QUERY_OPTION_COUNTONLY`
`static int` | `QUERY_OPTION_MEMBERSANDALIASES`
`static int` | `QUERY_OPTION_MEMBERSONLY` Query options.
`static int` | `QUERY_TYPE_ANCESTORS`
`static int` | `QUERY_TYPE_BOTTOMLEVEL`
`static int` | `QUERY_TYPE_CHILDREN` Query types.
`static int` | `QUERY_TYPE_DESCENDANTS`
`static int` | `QUERY_TYPE_DIMENSION`
`static int` | `QUERY_TYPE_DIMUSERATTRIBUTES`
`static int` | `QUERY_TYPE_DTSMEMBERS`
`static int` | `QUERY_TYPE_NAMEDGENERATION`
`static int` | `QUERY_TYPE_NAMEDLEVEL`
`static int` | `QUERY_TYPE_PARENT`
`static int` | `QUERY_TYPE_SAMEGENERATION`
`static int` | `QUERY_TYPE_SAMELEVEL`
`static int` | `QUERY_TYPE_SEARCH`
`static int` | `QUERY_TYPE_SIBLINGS`
`static int` | `QUERY_TYPE_USERATTRIBUTE`
`static int` | `QUERY_TYPE_WILDSEARCH`

Method Summary
`void` | `close()` Closes the member selection.
`void` | `executeQuery(java.lang.String memberName)` Exexecutes member selection query to fetch specified member.
`void` | `executeQuery(java.lang.String mbrName, int queryType, int queryOptions, java.lang.String dimName, java.lang.String input1, java.lang.String input2)` Executes the member selection query.
`void` | `executeQuery(java.lang.String mbrName, int queryType, int queryOptions, java.lang.String dimName, java.lang.String input1, java.lang.String input2, int startMemberIndex, int maxMemberCount)` Executes the member selection query.
`void` | `executeQuery(java.lang.String fieldSelection, java.lang.String mbrSelection)` Executes the member selection query.
`int` | `getCountMembers()` Gets the count of resulting members.
`IEssCube` | `getCube()` Gets the parent cube.
`IEssIterator` | `getMembers()` Gets the resulting members.
`java.lang.String` | `getName()` Gets the name of the member selection.
`void` | `open()` Opens the member selection.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, refreshPropertyValues, setPropertyValueAny, setPropertyValueAny, updatePropertyValues`

Field Detail

### QUERY_TYPE_CHILDREN

    public static final int QUERY_TYPE_CHILDREN

  Query types.

  See Also:
    Constant Field Values

### QUERY_TYPE_DESCENDANTS

    public static final int QUERY_TYPE_DESCENDANTS

See Also:
  Constant Field Values

### QUERY_TYPE_BOTTOMLEVEL

    public static final int QUERY_TYPE_BOTTOMLEVEL

See Also:
  Constant Field Values

### QUERY_TYPE_SIBLINGS

    public static final int QUERY_TYPE_SIBLINGS

See Also:
  Constant Field Values

### QUERY_TYPE_SAMELEVEL

    public static final int QUERY_TYPE_SAMELEVEL

See Also:
  Constant Field Values

### QUERY_TYPE_SAMEGENERATION

    public static final int QUERY_TYPE_SAMEGENERATION

See Also:
  Constant Field Values

### QUERY_TYPE_PARENT

    public static final int QUERY_TYPE_PARENT

See Also:
  Constant Field Values

### QUERY_TYPE_DIMENSION

    public static final int QUERY_TYPE_DIMENSION

See Also:
  Constant Field Values

### QUERY_TYPE_NAMEDGENERATION

    public static final int QUERY_TYPE_NAMEDGENERATION

See Also:
  Constant Field Values

### QUERY_TYPE_NAMEDLEVEL

    public static final int QUERY_TYPE_NAMEDLEVEL

See Also:
  Constant Field Values

### QUERY_TYPE_SEARCH

    public static final int QUERY_TYPE_SEARCH

See Also:
  Constant Field Values

### QUERY_TYPE_WILDSEARCH

    public static final int QUERY_TYPE_WILDSEARCH

See Also:
  Constant Field Values

### QUERY_TYPE_USERATTRIBUTE

    public static final int QUERY_TYPE_USERATTRIBUTE

See Also:
  Constant Field Values

### QUERY_TYPE_ANCESTORS

    public static final int QUERY_TYPE_ANCESTORS

See Also:
  Constant Field Values

### QUERY_TYPE_DTSMEMBERS

    public static final int QUERY_TYPE_DTSMEMBERS

See Also:
  Constant Field Values

### QUERY_TYPE_DIMUSERATTRIBUTES

    public static final int QUERY_TYPE_DIMUSERATTRIBUTES

See Also:
  Constant Field Values

### QUERY_OPTION_MEMBERSONLY

    public static final int QUERY_OPTION_MEMBERSONLY

  Query options.

  See Also:
    Constant Field Values

### QUERY_OPTION_ALIASESONLY

    public static final int QUERY_OPTION_ALIASESONLY

See Also:
  Constant Field Values

### QUERY_OPTION_MEMBERSANDALIASES

    public static final int QUERY_OPTION_MEMBERSANDALIASES

See Also:
  Constant Field Values

### QUERY_OPTION_COUNTONLY

    public static final int QUERY_OPTION_COUNTONLY

See Also:
  Constant Field Values

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the name of the member selection.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The member selection name.
  Throws:
    `EssException` - if an error occurs.

### open

    public void open()
              throws EssException

  Opens the member selection.

  Throws:
    `EssException` - if an error occurs.

### close

    public void close()
               throws EssException

  Closes the member selection. This will not throw exception if member selection is not open already. Once this call is made, make sure not to use the member objects obtained prior to closing.

  Throws:
    `EssException` - if an error occurs.

### executeQuery

    public void executeQuery(java.lang.String memberName)
                      throws EssException

  Exexecutes member selection query to fetch specified member.

  Parameters:
    `memberName` - The member name.
  Throws:
    `EssException` - if an error occurs.

### executeQuery

    public void executeQuery(java.lang.String mbrName,
                             int queryType,
                             int queryOptions,
                             java.lang.String dimName,
                             java.lang.String input1,
                             java.lang.String input2)
                      throws EssException

  Executes the member selection query. If you invoke executeQuery multiple times, make sure to get the resulting member objects and use those, and discard member objects obtained from prior executeQuery results.

  Parameters:
    `mbrName` - The name of the member to do the operation on. If this value is null, it is assumed to be the very top of the outline, representing the logical parent of the dimensions. This value will be ignored for the following query types (specified by queryType param): QUERY_TYPE_NAMEDGENERATION, QUERY_TYPE_NAMEDLEVEL, QUERY_TYPE_USERATTRIBUTE, QUERY_TYPE_SEARCH, QUERY_TYPE_WILDSEARCH.
    `queryType` - Type of the query. Value defining the operation to perform. It can be one of the following: QUERY_TYPE_CHILDREN, QUERY_TYPE_DESCENDANTS, QUERY_TYPE_BOTTOMLEVEL, QUERY_TYPE_SIBLINGS, QUERY_TYPE_SAMELEVEL, QUERY_TYPE_SAMEGENERATION, QUERY_TYPE_PARENT, QUERY_TYPE_DIMENSION, QUERY_TYPE_NAMEDGENERATION, QUERY_TYPE_NAMEDLEVEL, QUERY_TYPE_SEARCH, QUERY_TYPE_WILDSEARCH, QUERY_TYPE_USERATTRIBUTE, QUERY_TYPE_ANCESTORS, QUERY_TYPE_DTSMEMBERS, QUERY_TYPE_DIMUSERATTRIBUTES.
    `queryOptions` - Options dependent on the query type. For the query types (specified via queryType param) QUERY_TYPE_SEARCH/ QUERY_TYPE_WILDSEARCH you can specify one of the following query options: QUERY_OPTION_MEMBERSONLY, QUERY_OPTION_ALIASESONLY, QUERY_OPTION_MEMBERSANDALIASES. With any of the option, you can combine QUERY_OPTION_COUNTONLY to get the count only.
    `dimName` - Dimension to limit the scope of the query. It is used with the following query options and ignored otherwise: QUERY_TYPE_NAMEDGENERATION, QUERY_TYPE_NAMEDLEVEL, QUERY_TYPE_USERATTRIBUTE QUERY_TYPE_SEARCH (set to NULL to search through all dimensions), QUERY_TYPE_WILDSEARCH (set to NULL to search through all dimensions).
    `input1` - Input string that is determined by the option. It is used with the following query options and ignored otherwise: QUERY_TYPE_NAMEDGENERATION (The name of the generation), QUERY_TYPE_NAMEDLEVEL (The name of the level), QUERY_TYPE_SEARCH (The string to search for. The string is defined as an exact), QUERY_TYPE_WILDSEARCH (The string to search for. The string is defined as an exact search string with an optional '*' at the end to mean any set of characters), QUERY_TYPE_USERATTRIBUTE (The user defined attribute).
    `input2` - Input string that is determined by the option. It is used with the following query options and ignored otherwise: QUERY_TYPE_USERATTRIBUTE (The user defined attribute), QUERY_TYPE_SEARCH, QUERY_TYPE_WILDSEARCH (If the options are set to look in the alias tables, this string specifies the alias table to search in. If it's null, all alias tables will be searched).
  Throws:
    `EssException` - if an error occurs.

### executeQuery

    public void executeQuery(java.lang.String mbrName,
                             int queryType,
                             int queryOptions,
                             java.lang.String dimName,
                             java.lang.String input1,
                             java.lang.String input2,
                             int startMemberIndex,
                             int maxMemberCount)
                      throws EssException

  Executes the member selection query. If you invoke executeQuery multiple times, make sure to get the resulting member objects and use those, and discard member objects obtained from prior executeQuery results. This method supports cursoring through two extra parameters that it takes. If the query is large, use the last two parameters to control how many members will be returned at a time. For example : if you think your query may return 1000 members but you want only 100 members at the most at a time, then do the following:

  >                             int total = 0;
  >                             IEssIterator mbrs = null;
  >                             do {
  >                                     memberSelection.executeQuery(... , total, 100);
  >                                     mbrs = mbrSel.getMembers();
  >                                     if(mbrs != null) {
  >                                             // add results to result list, process the result

  >                                             total += mbrs.getCount();
  >                                     }

  >                             } while( (total <= 1000) && (mbrs != null && mbrs.getCount() > 0) );

  Parameters:
    `mbrName` - The name of the member to do the operation on. If this value is null, it is assumed to be the very top of the outline, representing the logical parent of the dimensions. This value will be ignored for the following query types (specified by queryType param): QUERY_TYPE_NAMEDGENERATION, QUERY_TYPE_NAMEDLEVEL, QUERY_TYPE_USERATTRIBUTE, QUERY_TYPE_SEARCH, QUERY_TYPE_WILDSEARCH.
    `queryType` - Type of the query. Value defining the operation to perform. It can be one of the following: QUERY_TYPE_CHILDREN, QUERY_TYPE_DESCENDANTS, QUERY_TYPE_BOTTOMLEVEL, QUERY_TYPE_SIBLINGS, QUERY_TYPE_SAMELEVEL, QUERY_TYPE_SAMEGENERATION, QUERY_TYPE_PARENT, QUERY_TYPE_DIMENSION, QUERY_TYPE_NAMEDGENERATION, QUERY_TYPE_NAMEDLEVEL, QUERY_TYPE_SEARCH, QUERY_TYPE_WILDSEARCH, QUERY_TYPE_USERATTRIBUTE, QUERY_TYPE_ANCESTORS, QUERY_TYPE_DTSMEMBERS, QUERY_TYPE_DIMUSERATTRIBUTES.
    `queryOptions` - Options dependent on the query type. For the query types (specified via queryType param) QUERY_TYPE_SEARCH/ QUERY_TYPE_WILDSEARCH you can specify one of the following query options: QUERY_OPTION_MEMBERSONLY, QUERY_OPTION_ALIASESONLY, QUERY_OPTION_MEMBERSANDALIASES. With any of the option, you can combine QUERY_OPTION_COUNTONLY to get the count only.
    `dimName` - Dimension to limit the scope of the query. It is used with the following query options and ignored otherwise: QUERY_TYPE_NAMEDGENERATION, QUERY_TYPE_NAMEDLEVEL, QUERY_TYPE_USERATTRIBUTE QUERY_TYPE_SEARCH (set to NULL to search through all dimensions), QUERY_TYPE_WILDSEARCH (set to NULL to search through all dimensions).
    `input1` - Input string that is determined by the option. It is used with the following query options and ignored otherwise: QUERY_TYPE_NAMEDGENERATION (The name of the generation), QUERY_TYPE_NAMEDLEVEL (The name of the level), QUERY_TYPE_SEARCH (The string to search for. The string is defined as an exact), QUERY_TYPE_WILDSEARCH (The string to search for. The string is defined as an exact search string with an optional '*' at the end to mean any set of characters), QUERY_TYPE_USERATTRIBUTE (The user defined attribute).
    `input2` - Input string that is determined by the option. It is used with the following query options and ignored otherwise: QUERY_TYPE_USERATTRIBUTE (The user defined attribute), QUERY_TYPE_SEARCH, QUERY_TYPE_WILDSEARCH (If the options are set to look in the alias tables, this string specifies the alias table to search in. If it's null, all alias tables will be searched).
    `startMemberIndex` - Defines where (in a large result set)to start getting the members from.
    `maxMemberCount` - Defines how many members to get at a time. The resulting member count will be at the most this value.
  Throws:
    `EssException` - if an error occurs.
  Note:
    Cursoring will not work if member selection was opened over outline cache. The last two parameters will be igonored in that case.

### executeQuery

    public void executeQuery(java.lang.String fieldSelection,
                             java.lang.String mbrSelection)
                      throws EssException

  Executes the member selection query. NOTE: If you invoke executeQuery multiple times, make sure to get the resulting member objects and use those, and discard the members objects obtained from prior executeQuery results. Example usage: executeQuery( "
  Parameters:
    `fieldSelection` - The query string which defines the set of fields that will be returned for each member. The syntax is "`mbrSelection` - The query string which defines the set of members to be returned. The syntax of this query string is the syntax for member selection; that is, the query string can be anything that you can use in a FIX() statement.
  Throws:
    `EssException` - if an error occurs.

### getCountMembers

    public int getCountMembers()
                        throws EssException

  Gets the count of resulting members.

  Returns:
    The count of members.
  Throws:
    `EssException` - if an error occurs.

### getMembers

    public IEssIterator getMembers()
                            throws EssException

  Gets the resulting members.

  Returns:
    The list of members (each of type IEssMember).
  Throws:
    `EssException`

### getCube

    public IEssCube getCube()
                     throws EssException

  Gets the parent cube.

  Returns:
    The cube.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD